## ESourceConflictSearch ESourceConflictSearch — ESource extension for meeting conflict search |

## Functions

gboolean | e_source_conflict_search_get_include_me ()
void | e_source_conflict_search_set_include_me ()

## Types and Values

#define | E_SOURCE_EXTENSION_CONFLICT_SEARCH
struct | ESourceConflictSearch

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceConflictSearch

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceConflictSearch extension holds whether a calendar ESource can be used for conflict search when checking for meeting existence.

Access the extension as follows:

    1
    2
    3
    4
    5
    #include <libedataserver/libedataserver.h>

    ESourceConflictSearch *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_CONFLICT_SEARCH);

## Functions

### e_source_conflict_search_get_include_me ()

    gboolean
    e_source_conflict_search_get_include_me
                                   (ESourceConflictSearch *extension);

Returns whether the calendar described by the ESource to which `extension` belongs should be queried for scheduling conflicts when negotiating a meeting invitation.

#### Parameters

extension | an ESourceConflictSearch |

#### Returns

whether to search for scheduling conflicts

Since: 3.60

### e_source_conflict_search_set_include_me ()

    void
    e_source_conflict_search_set_include_me
                                   (ESourceConflictSearch *extension,
                                    gboolean include_me);

Sets whether the calendar described by the ESource to which `extension` belongs should be queried for scheduling conflicts when negotiating a meeting invitation.

#### Parameters

extension | an ESourceConflictSearch |
include_me | whether to search for scheduling conflicts |

Since: 3.60

## Types and Values

### E_SOURCE_EXTENSION_CONFLICT_SEARCH

    #define E_SOURCE_EXTENSION_CONFLICT_SEARCH "Conflict Search"

Pass this extension name to `e_source_get_extension()` to access ESourceConflictSearch. This is also used as a group name in key files.

Since: 3.60

### struct ESourceConflictSearch

    struct ESourceConflictSearch;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.60